#!/bin/sh
#------------------------------------------------------------------------------
# ========= |
# \\ / F ield | foam-extend: Open Source CFD
# \\ / O peration | Version: 4.1
# \\ / A nd | Web: http://www.foam-extend.org
# \\/ M anipulation | For copyright notice see file Copyright
#------------------------------------------------------------------------------
# License
# This file is part of foam-extend.
#
# foam-extend is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation, either version 3 of the License, or (at your
# option) any later version.
#
# foam-extend is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with foam-extend. If not, see .
#
# Script
# wclean
#
# Description
# Clean up the wmake control directory Make and remove the include
# directories generated for libraries.
#
#------------------------------------------------------------------------------
Script=${0##*/}
usage() {
while [ "$#" -ge 1 ]; do echo "$1"; shift; done
cat</dev/null || {
echo "$Script error: could not change to directory '$dir'" 1>&2
exit 1
}
fi
# provide some feedback
echo "$Script ${dir:-./}"
fi
#------------------------------------------------------------------------------
# Recurse the directories tree
#------------------------------------------------------------------------------
if [ "$makeOption" = all ]
then
if [ -e Allclean ]
then
./Allclean
exit $?
elif [ ! -d $MakeDir ]
then
for dir in `find . \( -type d -a -name Make \) -printf "%h "`
do
$0 $dir
done
exit 0
fi
# This is the end of the recursion down the application directories tree
# so remove the "all" option so that the call to make builds the application
makeOption=
fi
#------------------------------------------------------------------------------
# Check the existance of the Make directory
#------------------------------------------------------------------------------
if [ ! -d $MakeDir ]
then
echo "$Script error: '$MakeDir' directory does not exist" 1>&2
exit 1
fi
# -----------------------------------------------------------------------------
rm -rf $MakeDir/$WM_OPTIONS $MakeDir/classes 2>/dev/null
find . -name "*.dep" -exec rm {} \;
case "$makeOption" in
lib | libso | libo )
rm -rf lnInclude 2>/dev/null
;;
esac
rm -rf ii_files Templates.DB 2>/dev/null
rm -f so_locations
#------------------------------------------------------------------------------